Diseases Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/diseases/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/diseases/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/diseases/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"sequence_variant": "<string>",
"disease": "<string>",
"gene_id": "<string>",
"gene_name": "<string>",
"assertion": "<string>",
"pmids": [
"<string>"
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Diseases Variants
Retrieve variants and genes associated with the query disease from ClinGen.
Either disease_id or disease_name is required.
Example: disease_id = MONDO_0009861,
disease_name = phenylketonuria,
assertion = Pathogenic,
pmid = 2574002.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Diseases Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/diseases/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/diseases/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/diseases/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"sequence_variant": "<string>",
"disease": "<string>",
"gene_id": "<string>",
"gene_name": "<string>",
"assertion": "<string>",
"pmids": [
"<string>"
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Benign, Likely Benign, Likely Pathogenic, Pathogenic, Uncertain Significance Available options:
Homo sapiens Available options:
true, false